
function [] =  montesci_console_info(text)
 
  global('n_run');
   
  time = sprintf("Run %d: ", n_run);
  if (n_run ==0) time = "Startup: "; end;  
  log_text(time + text, 1, 1);
  
endfunction

function [] =  montesci_console_warning(text)
  global('n_run');
  time = sprintf("Run %d: ", n_run); 
  if (n_run ==0) time = "Startup: "; end;
  log_text("<B>"+time + text+"</B>", 1, 1);
endfunction

function [] =  montesci_console_error(text)
  global('n_run');
  time = sprintf("Run %d: ", n_run); 
  if (n_run ==0) time = "Startup: "; end;
  error_log_text(text);
endfunction

function [] =  montesci_logfile_info(text)
  d_time = datevec(now());
  global('n_run');
  time = sprintf("INFO: %d/%d/%d - %d:%d:%d, run %d: ", d_time(1), d_time(2), d_time(3), d_time(4), d_time(5), d_time(6), n_run);
  
  try
    f = mopen(model_dir+montesci_logfile, "a"); 
    mputl(time + text, f);
    mclose(f);
  catch
  end
  
endfunction

function [] =  montesci_logfile_error(text)
  d_time = datevec(now());
  global('n_run');
  time = sprintf("ERROR: %d/%d/%d - %d:%d:%d, run %d: ", d_time(1), d_time(2), d_time(3), d_time(4), d_time(5), d_time(6), n_run); 
  
  try
    f = mopen(model_dir+montesci_logfile, "a"); 
    mputl(time + text, f);
    mclose(f);
  catch
  end
  
endfunction

function [] =  montesci_logfile_warning(text)
  d_time = datevec(now());
  global('n_run');
  time = sprintf("WARNING: %d/%d/%d - %d:%d:%d, run %d: ", d_time(1), d_time(2), d_time(3), d_time(4), d_time(5), d_time(6), n_run); 
  try
    f = mopen(model_dir+montesci_logfile, "a"); 
    mputl(time + text, f);
    mclose(f);
  catch
  end
  
endfunction

