function [] = post_run_exec(run)
  
  global('model_post_single_ex');
  global('model_input');
  global('model_output');
  global('out_variables');
  global('in_variables_statistics');
  global('ID_INVAR_COUNT');
  global('ID_INVAR_NAME');
  global('ID_OUTVAR_COUNT');
  global('ID_OUTVAR_NAME');
  
  for i=1:1:in_variables_statistics(ID_INVAR_COUNT)
    global(in_variables_statistics(ID_INVAR_NAME)(i));
    execfun = ""+in_variables_statistics(ID_INVAR_NAME)(i) + "= model_input(" +string(i)+ ")(" + string(run) + ");"; 
    execstr(execfun); 
  end
  
  for i=1:1:out_variables(ID_OUTVAR_COUNT)  // assign result to output_vector
    execss = "" + out_variables(ID_OUTVAR_NAME)(i) + " = model_output(" +string(i)+ ")(" + string(run) + ");";
    execstr(execss); 
  end

  log_text( sprintf("Executing post run script on run %d", run), 1,1 );

  exec(model_post_single_ex);  

  
endfunction