// MonteSci plot functions
// ka_eins, 12/2009


function out = strip_all_blanks(in_string)
  in_string = stripblanks(in_string);  
  ind = strindex(in_string, ' ');
  
  out = part(in_string, (1: (ind(1)-1))); 
  
    for i=2:1:length(ind)
    out = out+part(in_string,((ind(i-1)+1):(ind(i)-1)))
  end
  
  out = out + part(in_string, (ind(i)+1) : (length(in_string)))
endfunction

function out = replace_cs(in_string, c)
  out = in_string;
    for c_i = 1:1:length(c)
      ss = sprintf("c(%d)", c_i);
      ind = 1;
      while(length(ind) > 0)
      ind = strindex(out, ss);
      if (length(ind)>0)
        value = sprintf( "%.3E", c(c_i));
        out = part( out, 1:(ind(1)-1) ) +" <BR><B>("+ value +")</B> "+ part( out, (ind(1)+length(ss)):length(out))
      end
    end
  end
  out = "<HTML> Fit: " + out + "</HTML>";
endfunction



function [x_dec] = decimate(x, number)
  if (length(x) > number)
    step = length(x) / number;
    ind = round(1: step: length(x));
    ind = ind(1:number);
    x_dec = x(ind)
  else
    x_dec = x;
  end
endfunction;


function short_string = shrink_string(in_string, n_char)
  short_string = in_string;
  if (length(in_string)>n_char)
    v= (length(in_string)-n_char):1:length(in_string); 
    short_string = "..."+part(in_string, v);
  end
endfunction