//ngspice sample model

// go to ngspice directory
tmp_dir = pwd(); 
cd (model_dir + "/ngspice");

//change the spice component values
change_spice_component("spice_netlist.cir", "R1", sprintf("%f", R1*10));
change_spice_component("spice_netlist.cir", "V1", sprintf("PULSE(0 10 %f 1ms %f 5ms 100ms 100)", TD, TD*1));

// call ngspice model
call_ngspice("spice_netlist.cir", "spice_command_file.cmd");

// read results
results = read_spice_results("spice_results.data");

// assign results to MonteSci output variables
t = results(:,2);
v1 = results(:,3);
v2 = results(:,4);

// ngspice done, leave directory
cd(tmp_dir); 

tr = R1 * TD;